Settings
Set generation mode
PUT
Switch generation mode. Validates mode is supported by active model.
mode*ModeMode: 'clone', 'design', 'tts', or 'stt'
Successful Response
application/json- response
success*SuccessWhether the operation succeeded
changed*ChangedWhether the mode was actually changed
needs_reload?Needs ReloadWhether the TTS model needs to be reloaded for the new mode
Default
falsemessage?|Optional status message
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/generation-mode?mode=string'Example Response
{ "success": true, "changed": true, "needs_reload": false, "message": "string"}